[youtubei.js](../../../README.md) / [Types](../README.md) / ICacheConstructor

# Interface: ICacheConstructor

## Constructors

### new ICacheConstructor()

> **new ICacheConstructor**(`persistent`, `persistent_directory`?): [`ICache`](ICache.md)

#### Parameters

• **persistent**: `boolean`

• **persistent\_directory?**: `string`

#### Returns

[`ICache`](ICache.md)

#### Defined in

[src/types/Cache.ts:9](https://github.com/LuanRT/YouTube.js/blob/4729016fb98e7045ee4043857be7eef780c01e35/src/types/Cache.ts#L9)
